#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Gcr-3.41.2

- Next

  gsettings-desktop-schemas-47.1

- Up
- Home

# Gcr-4.3.1

## Introduction to Gcr

The Gcr package contains libraries used for displaying certificates and accessing key stores. It also provides the viewer for crypto files on the GNOME Desktop.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gcr/4.3/gcr-4.3.1.tar.xz

- Download MD5 sum: d8a71f8cb0390bc353f52ded3f9a6733

- Download size: 716 KB

- Estimated disk space required: 30 MB (with tests)

- Estimated build time: 0.1 SBU (with tests; both using parallelism=4)

### Gcr Dependencies

#### Required

GLib-2.82.5 (GObject Introspection recommended), libgcrypt-1.11.0, and p11-kit-0.25.5

#### Recommended

GnuPG-2.4.7, GTK-4.16.12, libsecret-0.21.6, libxslt-1.1.42, OpenSSH-9.9p2, and Vala-0.56.17

#### Optional

Gi-DocGen-2025.3, GnuTLS-3.8.9, and Valgrind-3.24.0

## Installation of Gcr

### Note

Both gcr-3 and gcr-4 are coinstallable. This version of the package is used to support GTK-4 applications, such as gnome-shell-47.4 and Epiphany-47.3.1.

Install Gcr by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                ..                  &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed -e "/install_dir/s@,\$@ / 'gcr-4.3.1'&@" \
        -i ../docs/*/meson.build                 &&
    meson configure -D gtk_doc=true              &&
    ninja

To test the results, issue: ninja test. The tests must be run from an X Terminal or similar.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk4=false`: Use this switch if you haven't installed GTK-4.16.12. Note that gcr-viewer-gtk4 will not be installed if this is passed to meson.

`-D ssh_agent=false`: Use this switch if you haven't installed OpenSSH-9.9p2, and wish to disable ssh capabilities.

`-D gtk_doc=true`: Allow building this package without Gi-DocGen-2025.3 installed. If you have Gi-DocGen-2025.3 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

`-D crypto=gnutls`: Use this switch if you have GnuTLS-3.8.9 installed and wish to use it instead of libgcrypt-1.11.0.

## Contents

Installed Program: gcr-viewer-gtk4
Installed Libraries: libgck-2.so, libgcr-4.so
Installed Directories: /usr/include/gck-2, /usr/include/gcr-4, and /usr/share/gtk-doc/html/{gcr,gck}

### Short Descriptions

gcr-viewer-gtk4 | is used to view certificates and key files
`libgck-2.so` | contains GObject bindings for PKCS#11
`libgcr-4.so` | contains functions for accessing key stores and displaying certificates

- Prev

  Gcr-3.41.2

- Next

  gsettings-desktop-schemas-47.1

- Up
- Home